Package org.eclipse.net4j.util.security

## Class ChallengeResponseNegotiator.Transition

- java.lang.Object
- - org.eclipse.net4j.util.security.ChallengeResponseNegotiator.Transition

- All Implemented Interfaces:
    `ITransition<IChallengeResponse.State,​IChallengeResponse.Event,​INegotiationContext,​java.nio.ByteBuffer>`
  Enclosing class:
    ChallengeResponseNegotiator

      protected abstract class ChallengeResponseNegotiator.Transition
      extends java.lang.Object
      implements ITransition<IChallengeResponse.State,​IChallengeResponse.Event,​INegotiationContext,​java.nio.ByteBuffer>

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Transition()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract void` | `execute​(INegotiationContext context, java.nio.ByteBuffer buffer)` |
    `void` | `execute​(INegotiationContext context, IChallengeResponse.State state, IChallengeResponse.Event event, java.nio.ByteBuffer buffer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transition

          protected Transition()

  - ### Method Detail

    - #### execute

          public final void execute​(INegotiationContext context,
                                    IChallengeResponse.State state,
                                    IChallengeResponse.Event event,
                                    java.nio.ByteBuffer buffer)

      Specified by:
        `execute` in interface `ITransition<IChallengeResponse.State,​IChallengeResponse.Event,​INegotiationContext,​java.nio.ByteBuffer>`

    - #### execute

          protected abstract void execute​(INegotiationContext context,
                                          java.nio.ByteBuffer buffer)